Bug 1149761 - root login in emergency mode shows errors
Summary: root login in emergency mode shows errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: coreutils
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-06 14:57 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2016-04-25 11:55 UTC (History)
15 users (show)

Fixed In Version: coreutils-8.21-22.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 16:21:48 UTC
Type: Bug


Attachments (Terms of Use)
patch (413 bytes, text/plain)
2014-10-14 08:32 UTC, Jan Synacek
no flags Details

Description Zbigniew Jędrzejewski-Szmek 2014-10-06 14:57:21 UTC
Description of problem:

After login with 'ro':
mktemp: failed to create file via template '/tmp/.colorlsXXX': Read-only file system
bash: $TMP: ambiguous redirect

Version-Release number of selected component (if applicable):
systemd-216-something.

Comment 1 Jan Synacek 2014-10-10 07:42:49 UTC
I wonder... Does this mean that systemd should remount / as rw before running emergency.service?

Comment 2 Zbigniew Jędrzejewski-Szmek 2014-10-10 13:05:27 UTC
No, we shouldn't remount anything for the sake of some broken script. Sorry for the terseness of this bug report, it was more of a note to self while debugging a different issue. I think we should investigate what scripts give those warnings and file bugs in appropriate places. The thing with $TMP looks like a bash programming error, and the other thing can probably be fixed with a redirect do /dev/null.

Comment 3 Jan Synacek 2014-10-14 07:50:22 UTC
The culprit is /etc/profile.d/colorls.sh, line 35 and 38.

Comment 4 Ondrej Vasik 2014-10-14 08:27:48 UTC
Ok, can be done better way - although ro /tmp will likely cause other things to fail as well...

Comment 5 Jan Synacek 2014-10-14 08:32:40 UTC
Created attachment 946731 [details]
patch

Comment 6 Jan Synacek 2014-10-14 08:34:58 UTC
(In reply to Ondrej Vasik from comment #4)
> Ok, can be done better way - although ro /tmp will likely cause other things
> to fail as well...

Yes, bash completion barfs errors everytime TAB is pressed.

Zbyszek, shouldn't emergency mode mount /tmp?

Comment 7 Fedora Update System 2014-10-15 10:06:22 UTC
coreutils-8.22-19.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/coreutils-8.22-19.fc21

Comment 8 Zbigniew Jędrzejewski-Szmek 2014-10-15 13:32:15 UTC
In normal setup, /tmp is tmpfs, and mounting it is fine. But /tmp could be a real filesystem, and than mounting it could hold down a partition and interfere with the tasks that one does in emergency mode. Yet another issue is that if / is mounted rw, and /tmp is *not* mounted, various scripts will scribble in the /tmp dir anyway. So maybe we should mount it, since otherwise people will get warnings about mounting over a non-empty directory. I'm not sure.

Comment 9 Fedora Update System 2014-10-16 17:17:57 UTC
Package coreutils-8.22-19.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing coreutils-8.22-19.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12937/coreutils-8.22-19.fc21
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-11-01 16:21:48 UTC
coreutils-8.22-19.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-05-14 18:51:49 UTC
coreutils-8.21-22.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/coreutils-8.21-22.fc20

Comment 12 Fedora Update System 2015-05-30 15:37:25 UTC
coreutils-8.21-22.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.